Blender 2.83 no carga el addon de luxcorerender 2.4

Hola, actualmente tengo instalado fedora 32 con gnome.
He tratado de instalar tanto desde los repositorios como de la pagina oficial de Luxcorerender el addon pero este no se instala y menda un error.
¿Hay alguna forma de solucionarlo?
Saludos

No tengo mucha idea de BLENDER pero no sabemos que tipo de error es o te da

1.- Ejecuta Blender desde una terminal carga el add-on y mira que error te da y compartelo con nosotros

2.- Otra forma es ponerte en contacto con el Proyecto:

Información Aditional

Aunque esta algo reportado al respecto en el Proyecto:

Posible Solución

Puedes tratar de probar de borrar la carpeta de configuración de BLENDER en este lugar, realizando antes previamente un backup de esta carpeta:

En Linux: ~/.config/blender

Es una carpeta escondida en tu $HOME de acuerdo a esta documentación:

Saludos.,